| pktools 2.6.7 Processing Kernel for geospatial data

Public Attributes | List of all members
svm_parameter Struct Reference

## Public Attributes
int | svm_type
int | kernel_type
int | degree
double | gamma
double | coef0
double | cache_size
double | eps
double | C
int | nr_weight
int * | weight_label
double * | weight
double | nu
double | p
int | shrinking
int | probability
bool | verbose

## Detailed Description

Definition at line 28 of file svm.h.

## Member Data Documentation

## ◆ C

double svm_parameter::C

Definition at line 39 of file svm.h.

## ◆ cache_size

double svm_parameter::cache_size

Definition at line 37 of file svm.h.

## ◆ coef0

double svm_parameter::coef0

Definition at line 34 of file svm.h.

## ◆ degree

int svm_parameter::degree

Definition at line 32 of file svm.h.

## ◆ eps

double svm_parameter::eps

Definition at line 38 of file svm.h.

## ◆ gamma

double svm_parameter::gamma

Definition at line 33 of file svm.h.

## ◆ kernel_type

int svm_parameter::kernel_type

Definition at line 31 of file svm.h.

## ◆ nr_weight

int svm_parameter::nr_weight

Definition at line 40 of file svm.h.

## ◆ nu

double svm_parameter::nu

Definition at line 43 of file svm.h.

## ◆ p

double svm_parameter::p

Definition at line 44 of file svm.h.

## ◆ probability

int svm_parameter::probability

Definition at line 46 of file svm.h.

## ◆ shrinking

int svm_parameter::shrinking

Definition at line 45 of file svm.h.

## ◆ svm_type

int svm_parameter::svm_type

Definition at line 30 of file svm.h.

## ◆ verbose

bool svm_parameter::verbose

Definition at line 47 of file svm.h.

## ◆ weight

double* svm_parameter::weight

Definition at line 42 of file svm.h.

## ◆ weight_label

int* svm_parameter::weight_label

Definition at line 41 of file svm.h.

The documentation for this struct was generated from the following file:

- /tmp/slackdce/slackrepo.NvCr9x/build_pktools/PKTOOLS-2.6.7.6/src/algorithms/svm.h